std::pointer_to_binary_function(3)

NAME
std::pointer_to_binary_function - std::pointer_to_binary_function

Synopsis
   template<
   class Arg1,
   class Arg2, (deprecated in C++11)
   class Result (removed in C++17)
   > class pointer_to_binary_function : public
   std::binary_function<Arg1, Arg2, Result>;
   std::pointer_to_binary_function is a function object that acts as a wrapper around a
   binary function.

Member functions
                 constructs a new pointer_to_binary_function object with the supplied
   constructor function
                 (public member function)
   operator() calls the stored function
                 (public member function) std::pointer_to_binary_function::pointer_to_binary_function
   explicit pointer_to_binary_function( Result (*f)(Arg1,Arg2) );
   Constructs a pointer_to_binary_function function object with the stored function f.

Parameters
   f - pointer to a function to store std::pointer_to_binary_function::operator()
   Result operator()( Arg1 x1, Arg2 x2 ) const;
   Calls the stored function.

Parameters
   x1, x2 - arguments to pass to the function

Return value
   The value returned by the called function.

See also
   pointer_to_unary_function adaptor-compatible wrapper for a pointer to unary function
   (deprecated in C++11) (class template)
   (removed in C++17)
   ptr_fun creates an adaptor-compatible function object wrapper from
   (deprecated in C++11) a pointer to function
   (removed in C++17) (function template)